const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v3_8 = arg1[48];
    st7_global_2d_to_2d_local = fabs(z.z) # st7;
    st6_global_2d_to_2d_local = fabs(z.y) # st6;
    st5_global_2d_to_2d_local = fabs(z.x) # st5;
    v1_1f = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_21 = v1_1f / 256 & 65 # bp+21;
    z.x = z.x & -0x10000 | v1_1f & -0xff01 | 256 * v3_21;
    if v3_21 == 0:;
        v1_2d = *((v3_8 - 24));
        v2_3b = 1.0 / (v1_2d * v1_2d);
    else:;
        # 0x26;
        v2_3b = *((v3_8 - 16)) / arg1[56];
    v1_3d = z.y - 8;
    z.x = v1_3d;
    *v1_3d = v2_3b * st5_global_2d_to_2d_local + j.x;
    *z.y = v2_3b * st6_global_2d_to_2d_local + j.y;
    *z.z = v2_3b * st7_global_2d_to_2d_local + j.z;
    return z.x;


	}